SSTRIP(1)

NAME
sstrip - truncates ELF files to remove non-program content.

SYNOPSIS
sstrip [OPTIONS] FILE ...

DESCRIPTION
sstrip removes the content at the end of an ELF file that does not contribute to a program's memory image.

sstrip modifies the named file in place, rather than outputting new contents to another location.

OPTIONS

-z, --zeroes
    Attempt to also strip trailing zero bytes from the file.

--help
    Display help and exit.

--version
    Display version information and exit.

NOTES
sstrip works by identifying the parts of an ELF binary file that are loaded into memory when executed, and then truncating the file to remove everything beyond that point. Typically this means removing the section header table and various other tables that are not needed by the program loader.

A shared-object library stripped in this fashion will still be usable by the dynamic linker, but not by the static linker.

The use of the option to delete trailing zero bytes can sometimes cause a binary to not function (depending on which ELF structure was truncated as a result). Since this feature typically reduces a file size by only a handful of bytes anyway, it is only useful in rare circumstances.

COPYRIGHT
Copyright © 1999 Brian Raiter <breadbox@muppetlabs.com>.

License GPLv2+: GNU GPL version 2 or later. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
strip(1).